{pkgs, ...}: {
  programs.vim = {
    enable = true;
    settings = {
      background = "dark";
      copyindent = true;
      expandtab = false;
      hidden = true;
      history = 100;
      ignorecase = false;
      modeline = true;
      mousefocus = false;
      number = true;
      relativenumber = true;
      shiftwidth = 2;
      tabstop = 2;
    };
    plugins = with pkgs.vimPlugins; [
      onedark-vim
      everforest
      terminus
      vim-fugitive
      vim-gitgutter
    ];
    extraConfig = ''
      set scrolloff=5
      set hlsearch
      colorscheme everforest
    '';
  };
}
